ServerType (Apache Geode 1.15.4)

org.apache.geode.cache.configuration

## Class ServerType

- java.lang.Object
- - org.apache.geode.cache.configuration.ServerType

- Direct Known Subclasses:
    CacheConfig.CacheServer

      @Experimental
      public class ServerType
      extends Object

  Java class for server-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="server-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="group" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
               <element name="client-subscription" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="eviction-policy" use="required">
                         <simpleType>
                           <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                             <enumeration value="entry"/>
                             <enumeration value="mem"/>
                           </restriction>
                         </simpleType>
                       </attribute>
                       <attribute name="capacity" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="overflow-directory" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="custom-load-probe" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                         <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
             <attribute name="bind-address" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="hostname-for-clients" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="max-connections" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="maximum-message-count" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="maximum-time-between-pings" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="max-threads" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="message-time-to-live" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="notify-by-subscription" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="port" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="load-poll-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServerType.ClientSubscription` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `bindAddress`
    `protected ServerType.ClientSubscription` | `clientSubscription`
    `protected DeclarableType` | `customLoadProbe`
    `protected List<String>` | `groups`
    `protected String` | `hostnameForClients`
    `protected String` | `loadPollInterval`
    `protected String` | `maxConnections`
    `protected String` | `maximumMessageCount`
    `protected String` | `maximumTimeBetweenPings`
    `protected String` | `maxThreads`
    `protected String` | `messageTimeToLive`
    `protected Boolean` | `notifyBySubscription`
    `protected String` | `port`
    `protected String` | `socketBufferSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBindAddress()` Gets the value of the bindAddress property.
    `ServerType.ClientSubscription` | `getClientSubscription()` Gets the value of the clientSubscription property.
    `DeclarableType` | `getCustomLoadProbe()` Gets the value of the customLoadProbe property.
    `List<String>` | `getGroups()` Gets the value of the group property.
    `String` | `getHostnameForClients()` Gets the value of the hostnameForClients property.
    `String` | `getLoadPollInterval()` Gets the value of the loadPollInterval property.
    `String` | `getMaxConnections()` Gets the value of the maxConnections property.
    `String` | `getMaximumMessageCount()` Gets the value of the maximumMessageCount property.
    `String` | `getMaximumTimeBetweenPings()` Gets the value of the maximumTimeBetweenPings property.
    `String` | `getMaxThreads()` Gets the value of the maxThreads property.
    `String` | `getMessageTimeToLive()` Gets the value of the messageTimeToLive property.
    `String` | `getPort()` Gets the value of the port property.
    `String` | `getSocketBufferSize()` Gets the value of the socketBufferSize property.
    `Boolean` | `isNotifyBySubscription()` Gets the value of the notifyBySubscription property.
    `void` | `setBindAddress(String value)` Sets the value of the bindAddress property.
    `void` | `setClientSubscription(ServerType.ClientSubscription value)` Sets the value of the clientSubscription property.
    `void` | `setCustomLoadProbe(DeclarableType value)` Sets the value of the customLoadProbe property.
    `void` | `setHostnameForClients(String value)` Sets the value of the hostnameForClients property.
    `void` | `setLoadPollInterval(String value)` Sets the value of the loadPollInterval property.
    `void` | `setMaxConnections(String value)` Sets the value of the maxConnections property.
    `void` | `setMaximumMessageCount(String value)` Sets the value of the maximumMessageCount property.
    `void` | `setMaximumTimeBetweenPings(String value)` Sets the value of the maximumTimeBetweenPings property.
    `void` | `setMaxThreads(String value)` Sets the value of the maxThreads property.
    `void` | `setMessageTimeToLive(String value)` Sets the value of the messageTimeToLive property.
    `void` | `setNotifyBySubscription(Boolean value)` Sets the value of the notifyBySubscription property.
    `void` | `setPort(String value)` Sets the value of the port property.
    `void` | `setSocketBufferSize(String value)` Sets the value of the socketBufferSize property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### groups

          protected List<String> groups

    - #### clientSubscription

          protected ServerType.ClientSubscription clientSubscription

    - #### customLoadProbe

          protected DeclarableType customLoadProbe

    - #### bindAddress

          protected String bindAddress

    - #### hostnameForClients

          protected String hostnameForClients

    - #### maxConnections

          protected String maxConnections

    - #### maximumMessageCount

          protected String maximumMessageCount

    - #### maximumTimeBetweenPings

          protected String maximumTimeBetweenPings

    - #### maxThreads

          protected String maxThreads

    - #### messageTimeToLive

          protected String messageTimeToLive

    - #### notifyBySubscription

          protected Boolean notifyBySubscription

    - #### port

          protected String port

    - #### socketBufferSize

          protected String socketBufferSize

    - #### loadPollInterval

          protected String loadPollInterval

  - ### Constructor Detail

    - #### ServerType

          public ServerType()

  - ### Method Detail

    - #### getGroups

          public List<String> getGroups()

      Gets the value of the group property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the group property.

      For example, to add a new item, do as follows:

           getGroups().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

      Returns:
        the `List` of groups.

    - #### getClientSubscription

          public ServerType.ClientSubscription getClientSubscription()

      Gets the value of the clientSubscription property. possible object is `ServerType.ClientSubscription`
      Returns:
        the client subscription.

    - #### setClientSubscription

          public void setClientSubscription(ServerType.ClientSubscription value)

      Sets the value of the clientSubscription property. allowed object is `ServerType.ClientSubscription`
      Parameters:
        `value` - the client subscription.

    - #### getCustomLoadProbe

          public DeclarableType getCustomLoadProbe()

      Gets the value of the customLoadProbe property.
      Returns:
        the custom `LoadProbe` type.

    - #### setCustomLoadProbe

          public void setCustomLoadProbe(DeclarableType value)

      Sets the value of the customLoadProbe property.
      Parameters:
        `value` - the custom `LoadProbe` type.

    - #### getBindAddress

          public String getBindAddress()

      Gets the value of the bindAddress property. possible object is `String`
      Returns:
        the bind address.

    - #### setBindAddress

          public void setBindAddress(String value)

      Sets the value of the bindAddress property. allowed object is `String`
      Parameters:
        `value` - the bind address.

    - #### getHostnameForClients

          public String getHostnameForClients()

      Gets the value of the hostnameForClients property. possible object is `String`
      Returns:
        the hostname for clients.

    - #### setHostnameForClients

          public void setHostnameForClients(String value)

      Sets the value of the hostnameForClients property. allowed object is `String`
      Parameters:
        `value` - the host name for clients.

    - #### getMaxConnections

          public String getMaxConnections()

      Gets the value of the maxConnections property. possible object is `String`
      Returns:
        the maximum number of connections.

    - #### setMaxConnections

          public void setMaxConnections(String value)

      Sets the value of the maxConnections property. allowed object is `String`
      Parameters:
        `value` - the maximum number of connections.

    - #### getMaximumMessageCount

          public String getMaximumMessageCount()

      Gets the value of the maximumMessageCount property. possible object is `String`
      Returns:
        the maximum message count.

    - #### setMaximumMessageCount

          public void setMaximumMessageCount(String value)

      Sets the value of the maximumMessageCount property. allowed object is `String`
      Parameters:
        `value` - the maximum message count.

    - #### getMaximumTimeBetweenPings

          public String getMaximumTimeBetweenPings()

      Gets the value of the maximumTimeBetweenPings property. possible object is `String`
      Returns:
        the maximum tim between pings.

    - #### setMaximumTimeBetweenPings

          public void setMaximumTimeBetweenPings(String value)

      Sets the value of the maximumTimeBetweenPings property. allowed object is `String`
      Parameters:
        `value` - the maximum time between pings.

    - #### getMaxThreads

          public String getMaxThreads()

      Gets the value of the maxThreads property. possible object is `String`
      Returns:
        the maximum number of threads.

    - #### setMaxThreads

          public void setMaxThreads(String value)

      Sets the value of the maxThreads property. allowed object is `String`
      Parameters:
        `value` - the maximum number of threads.

    - #### getMessageTimeToLive

          public String getMessageTimeToLive()

      Gets the value of the messageTimeToLive property. possible object is `String`
      Returns:
        the message time to live.

    - #### setMessageTimeToLive

          public void setMessageTimeToLive(String value)

      Sets the value of the messageTimeToLive property. allowed object is `String`
      Parameters:
        `value` - the message time to live.

    - #### isNotifyBySubscription

          public Boolean isNotifyBySubscription()

      Gets the value of the notifyBySubscription property. possible object is `Boolean`
      Returns:
        true is notify by subscription is enabled, false otherwise.

    - #### setNotifyBySubscription

          public void setNotifyBySubscription(Boolean value)

      Sets the value of the notifyBySubscription property. allowed object is `Boolean`
      Parameters:
        `value` - enables or disables notify by subscription.

    - #### getPort

          public String getPort()

      Gets the value of the port property. possible object is `String`
      Returns:
        the port number.

    - #### setPort

          public void setPort(String value)

      Sets the value of the port property. allowed object is `String`
      Parameters:
        `value` - the port number.

    - #### getSocketBufferSize

          public String getSocketBufferSize()

      Gets the value of the socketBufferSize property. possible object is `String`
      Returns:
        the socket buffer size.

    - #### setSocketBufferSize

          public void setSocketBufferSize(String value)

      Sets the value of the socketBufferSize property. allowed object is `String`
      Parameters:
        `value` - the socket buffer size.

    - #### getLoadPollInterval

          public String getLoadPollInterval()

      Gets the value of the loadPollInterval property. possible object is `String`
      Returns:
        the load polling interval.

    - #### setLoadPollInterval

          public void setLoadPollInterval(String value)

      Sets the value of the loadPollInterval property. allowed object is `String`
      Parameters:
        `value` - the load polling interval.